## Gym environments usage in Agit

Open source interface to reinforcement learning tasks. The gym library provides an easy-to-use suite of reinforcement learning tasks.

Agit provides a gym environment wrapper for agent-environment communication in cloud.

The gym comes prepackaged with many many environments. Here we will list additional environments that prepacked with the Agit.

https://gym.openai.com/envs/

https://gym.openai.com/envs/#atari

https://gym.openai.com/envs/#mujoco

---

## Examples

[Gym/gym_env.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/gym_env.py) is a simple example of gym env.

[Gym/mujoco_env.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/mujoco_env.py) is a simple example of mujoco env.

[Gym/mujoco_env_with_custom_model.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/mujoco_env_with_custom_model.py) is a simple example of mujoco env with custom model.

[Gym/ray_rllib_gym_env.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/ray_rllib_gym_env.py) is a simple example of gym env via Ray framework.

[Gym/ray_rllib_mujoco_env.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/ray_rllib_mujoco_env.py) is a simple example of mujoco env via Ray framework.

[Gym/ray_rllib_mujoco_env_with_custom_model.py](https://agit.ai/AgitDeveloper/AgitPythonExamples/src/branch/master/Gym/ray_rllib_mujoco_env_with_custom_model.py) is a simple example of mujoco env with custom model via Ray framework.