'''
Open source interface to reinforcement learning tasks.
The gym library provides an easy-to-use suite of reinforcement learning tasks.

Agit provides a gym environment wrapper for agent-environment communication in cloud.
'''

import os

if 'CLOUD_PROVIDER' in os.environ and os.environ['CLOUD_PROVIDER'] == 'Agit':
    from agit import gym
else:
    import gym

env = gym.make('CartPole-v0')

observation = env.reset()
current_step = 0

for _ in range(100):
    action = env.action_space.sample()  # your agent here (this takes random actions)
    observation, reward, done, info = env.step(action)
    current_step += 1

    print(f'Current Step: {current_step} -> Reward: {reward}')

    if done:
        observation = env.reset()
        current_step = 0
        print('Reset environment.')

env.close()
