'''
Open source interface to reinforcement learning tasks.
The gym library provides an easy-to-use suite of reinforcement learning tasks.

Agit also prepacks a set of environments that can provide an evaluation of an RL algorithm’s potential applicability to real-world systems.
'''

from agit import rwrl2gym

env = rwrl2gym.make('humanoid', 'realworld_walk',
                    combined_challenge='easy',
                    environment_kwargs={'flat_observation': True})

observation = env.reset()
current_step = 0

for _ in range(100):
    action = env.action_space.sample()  # your agent here (this takes random actions)
    observation, reward, done, info = env.step(action)
    current_step += 1

    print(f'Current Step: {current_step} -> Reward: {reward}')

    if done:
        observation = env.reset()
        current_step = 0
        print('Reset environment.')

env.close()