import os
import ray

'''
The following switch allows the program to run locally or on the Agit distributed cluster without modifications.
'''
if 'CLOUD_PROVIDER' in os.environ and os.environ['CLOUD_PROVIDER'] == 'Agit':
    from agit import ray_init
    ray_init()
else:
    ray.init()


# Specify a task’s CPU and GPU requirements.
# Support fractional resource requirements, but resources must be integers
# when quantities >1.
@ray.remote(num_cpus=2, num_gpus=0.5)
def f():
    return 1


@ray.remote(num_cpus=2, num_gpus=1)
class Actor(object):
    pass


assert ray.get(f.remote()) == 1
