from ray import tune
import os
import ray

'''
The following switch allows the program to run locally or on the Agit distributed cluster without modifications.
'''
if 'CLOUD_PROVIDER' in os.environ and os.environ['CLOUD_PROVIDER'] == 'Agit':
    from agit import ray_init
    ray_init()
else:
    ray.init()

# All RLlib trainers are compatible with the Tune API.
# The following code performs a simple hyper-parameters sweep of PPO:
tune.run(
    "PPO",
    stop={"episode_reward_mean": 180},
    config={
        "env": "CartPole-v0",
        "num_gpus": 0,
        "num_workers": 1,
        "lr": tune.grid_search([0.01, 0.001, 0.0001]),
        "eager": False,
    },
)
